Skip to content

Update Chatbot

PATCH
/api/chatbots/{id}

Update an existing chatbot

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

id*
Type
string
Required

Request Body

application/json
JSON
{
  
"data": {
  
  
"type": "chatbots",
  
  
"id": "string",
  
  
"attributes": {
  
  
  
"name": "string",
  
  
  
"description": "string",
  
  
  
"enabledPlugins": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"settings": {
  
  
  
  
"fasterResponse": true
  
  
  
},
  
  
  
"widgetConfig": {
  
  
  
  
"additionalProperties": null
  
  
  
},
  
  
  
"allowedDomains": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"ipRateLimitMax": 0,
  
  
  
"ipRateLimitWindow": 0
  
  
}
  
}
}

Responses

Updated chatbot

application/vnd.api+json
JSON
[
]

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation